"use strict";
const common_vendor = require("../../common/vendor.js");
const WORKORDER_acceptance_method = require("./method.js");
const WORKORDER_acceptance_model = require("./model.js");
require("../../common/libraries/request.js");
require("../../common/store/useWatermarkStore.js");
require("../../common/store/useWeAppAuthStore.js");
require("../../common/store/useWorkStore.js");
require("../../gen/Apis.js");
require("../../common/libraries/apiLoading.js");
require("../../common/libraries/naviHelper.js");
if (!Array) {
  const _easycom_hs_radio2 = common_vendor.resolveComponent("hs-radio");
  const _easycom_hs_cell2 = common_vendor.resolveComponent("hs-cell");
  const _easycom_hs_cell_textarea2 = common_vendor.resolveComponent("hs-cell-textarea");
  const _easycom_hs_footer2 = common_vendor.resolveComponent("hs-footer");
  (_easycom_hs_radio2 + _easycom_hs_cell2 + _easycom_hs_cell_textarea2 + _easycom_hs_footer2)();
}
const _easycom_hs_radio = () => "../../components/hs-radio/hs-radio.js";
const _easycom_hs_cell = () => "../../components/hs-cell/hs-cell.js";
const _easycom_hs_cell_textarea = () => "../../components/hs-cell-textarea/hs-cell-textarea.js";
const _easycom_hs_footer = () => "../../components/hs-footer/hs-footer.js";
if (!Math) {
  (_easycom_hs_radio + _easycom_hs_cell + _easycom_hs_cell_textarea + _easycom_hs_footer)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onLoad((e) => {
      var _a;
      (_a = WORKORDER_acceptance_method.method) == null ? void 0 : _a.init(e);
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i;
      return common_vendor.e({
        a: common_vendor.o(($event) => common_vendor.unref(WORKORDER_acceptance_model.useModel).formData.value.is_completed = $event),
        b: common_vendor.p({
          Enums: (_b = (_a = common_vendor.unref(WORKORDER_acceptance_model.useModel)) == null ? void 0 : _a.HouseWorkOrdersAcceptResultEnum) == null ? void 0 : _b.value,
          valueModel: common_vendor.unref(WORKORDER_acceptance_model.useModel).formData.value.is_completed
        }),
        c: common_vendor.p({
          title: "是否确认完工",
          required: true,
          borderTop: true
        }),
        d: ((_e = (_d = (_c = common_vendor.unref(WORKORDER_acceptance_model.useModel)) == null ? void 0 : _c.formData) == null ? void 0 : _d.value) == null ? void 0 : _e.is_completed) === "0"
      }, ((_h = (_g = (_f = common_vendor.unref(WORKORDER_acceptance_model.useModel)) == null ? void 0 : _f.formData) == null ? void 0 : _g.value) == null ? void 0 : _h.is_completed) === "0" ? {
        e: common_vendor.o(($event) => common_vendor.unref(WORKORDER_acceptance_model.useModel).formData.value.accept_remark = $event),
        f: common_vendor.p({
          title: "填写原因",
          required: true,
          placeholder: "请详细描述情况，包括具体位置现象等 ",
          valueModel: common_vendor.unref(WORKORDER_acceptance_model.useModel).formData.value.accept_remark
        })
      } : {}, {
        g: common_vendor.o((_i = common_vendor.unref(WORKORDER_acceptance_method.method)) == null ? void 0 : _i.handleSubmit),
        h: common_vendor.p({
          btnParimaryName: "提交"
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/WORKORDER/acceptance/index.vue"]]);
wx.createPage(MiniProgramPage);
